/*
 * Character.h
 *
 *  Scopo: Si scriva una classe "Character" con 4 attributi:
 *  hp - intero
 *  x, y - interi
 *  category - stringa
 *
 *  Si scrivano i costruttori:
 *  senza argomenti, con inizializzazione a valori di default con uso di lista di inizializzazione (hp 10, coordinate 0,0 e category "knight")
 *  con 4 argomenti, di cui il primo (hp) non ha valori di default, gli altri valori di default sono quelli del costruttore precedente.
 *  Si scriva un metodo move(int x, int y) che modifica il valore degli attributi. Si consideri l'uso di "this", dato l'uso dello stesso nome
 *  	per gli argomenti che per gli attributi.
 *
 *
 */

#ifndef CHARACTER_H_
#define CHARACTER_H_

#include <string>

class Character {
public:
	Character() : hp(10), x(0), y(0), category("knight") {};
	explicit Character(int hp, int x = 0, int y = 0, std::string category = "knight") {
		this->hp = hp;
		this->x = x;
		this->y = y;
		this->category = category;
	}
	void move(int x, int y);

	int getX() const;
	void setX(int x);
	int getY() const;
	void setY(int y);

private:
	int hp;
	int x, y;
	std::string category;
};

#endif /* CHARACTER_H_ */
